Bug 99334 - dhclient-script overwrites /etc/ntp.conf
dhclient-script overwrites /etc/ntp.conf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-17 15:37 EDT by Paul Visscher
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 15:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Visscher 2003-07-17 15:37:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
When dhclient is run, /sbin/dhclient-script overwrites any changes made to
/etc/ntp.conf.

Version-Release number of selected component (if applicable):
dhclient-3.0pl1-9

How reproducible:
Always

Steps to Reproduce:
1. Make changes to /etc/ntp.conf
2. run dhclient
3. 
    

Actual Results:  ntp.conf has been overwritten

Expected Results:  ntp.conf should have remained unchanged.

Additional info:

Lines 149-156 of /sbin/dhclient-script overwrite /etc/ntp.conf
Comment 1 Daniel Walsh 2003-07-29 15:24:42 EDT
If you set 
PEERDNS=no
in your /etc/sysconfig/network-scripts/ifcfg-eth0 
script using the latest dhclient from rawhide this problem will go away.
Comment 2 Ken Brooks 2006-04-06 11:49:05 EDT
Looking in the script, it appears to be
PEERNTP=no
not PEERDNS=no

In a simple test, this seemed to work.

Note You need to log in before you can comment on or make changes to this bug.